[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomStringGrid.GetCheckBoxState

Gets the state for a cell displayed as a Checkbox.

## Declaration

Source position: grids.pas line 1785

`protected procedure TCustomStringGrid.GetCheckBoxState(`
`const aCol: Integer;`
`const aRow: Integer;`
`var aState: TCheckBoxState`
`); override;`

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.
`aState` |  | Checkbox state derived for the specified cell.